
ISIS - Crash #2149

cnetref - fails with an error when selecting highest resolution

2014-07-28 11:31 AM - Ella Lee

Status: Closed   

Priority: High   

Assignee: Adam Paquette   

Category: Applications   

Target version: FY17 Backlog   

Impact: Cnetref will no longer throw a

programmer error when a measure does

not intersect the target. Now the program

will continue and produce the new

control net.

Software Version:  

Description

The program fails with "PROGRAMMER ERROR A valid intersection must be defined before computing the surface normal." when I

try to set the reference to the highest resolution.

The input files are in /work/users/elee/Viking/Workshop directory.

Related issues:

Related to ISIS - Feature #1438: Isis needs to handle ellipse intersection fa... Closed

History

#1 - 2014-08-01 12:27 PM - Tammy Becker

- Status changed from New to Acknowledged

- Target version deleted (3.4.7 (2014-08-27 Aug))

/work/users/elee/Viking/Workshop/viktest_grid_cnetadd.net does not exist?

#2 - 2014-11-21 10:00 AM - Tammy Becker

I have also encountered this failure with ApolloMetric data.  It fails with both the resolution and interest option with the same error:

==> AS15-REV71_CnetRef-SPLT10-proc.log <==

Class   = "PROGRAMMER ERROR"

Code    = 3

Message = "A valid intersection must be defined before computing the

surface normal"

File    = ShapeModel.cpp

Line    = 89

End_Group

End_Object

The apollo metric data includes limb and the LOLA DEM....if the problem is caused by this scenario and cannot be resolved, can cnetref log the

pointid/measure that this occurs and moves on to the next pointid/measure for an output net that contains the successes (at least).

File location:

/work/projects/Apollo/METRIC/AS15/Cubes/Reduced/Sub4_Masked/REV71/DenseNetwork/AS15-REV71_Add-SPLT10.net & REV71.lis
#6 - 2015-08-12 11:35 PM - Kristin Berry

- Target version set to 3.4.11 (FY16 R1 2015-10-28 Oct)

#8 - 2016-06-30 02:18 PM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to Adam Paquette

- Target version changed from 3.4.11 (FY16 R1 2015-10-28 Oct) to 3.4.13 (FY16 R3 2016-08-31 Aug)

#9 - 2016-06-30 02:45 PM - Adam Paquette

- Status changed from Assigned to In Progress

#10 - 2016-08-04 04:03 PM - Adam Paquette

- Status changed from In Progress to Resolved

- Impact updated

#11 - 2016-08-05 02:54 PM - Lynn Weller

- Status changed from Resolved to Feedback

I have set my version of isis to /work/projects/isis/latest/m02149/isis to try and test the changes made to cnetref but I can't run any isis programs

under this version.  I don't get any errors when I set to this version (it says its successful), but when I try to run an isis program is says "command not

found".  I'm running this from an astrovm machine.

#12 - 2016-08-09 05:33 PM - Lynn Weller

The program needs to be built to test on an astrovm machine.  I get the following errors when I try to set isis:

setisis /work/projects/isis/latest/m02149/isis/

/work/projects/isis/latest/m02149/isis/bin/isiscomplete: error while loading shared libraries: libpng16.so.16: cannot open shared object file: No such file

or directory

/work/projects/isis/latest/m02149/isis/bin/isiscomplete: error while loading shared libraries: libpng16.so.16: cannot open shared object file: No such file

or directory

/work/projects/isis/latest/m02149/isis/bin/isiscomplete: error while loading shared libraries: libpng16.so.16: cannot open shared object file: No such file

or directory

/work/projects/isis/latest/m02149/isis/bin/isiscomplete: error while loading shared libraries: libpng16.so.16: cannot open shared object file: No such file

or directory

#13 - 2016-09-28 04:27 PM - Lynn Weller

I still can't run the updated version of this program on an astrovm system - it's not built for that OS.  I have a very small window this week to get this

tested.  Any chance of getting it built for prog6 this week/?

#15 - 2016-10-03 10:40 AM - Stuart Sides

- Target version changed from 3.4.13 (FY16 R3 2016-08-31 Aug) to FY17 Backlog

#16 - 2016-10-13 12:09 AM - Tammy Becker

Modify cnetref such that if a measurement within a control point cannot intersect the surface (not able to compute a lat/lon, etc); do not set the

reference flag and add a note to the results group for user reference
-report the pointid and the 1st measure (serial number) encountered without a lat/lon

-add an message stating that the lat/lon, etc. could not be computed

#17 - 2016-10-20 02:27 PM - Tammy Becker

- Status changed from Feedback to Closed

The behavior with a measure where a lat/lon cannot be computed is now set to Ignore and eliminated from being considered in reference criteria.

The remaining measures for that point are considered and a reference is set. 

This is reported in the output log file.

There are other issues especially how things are reported in the log file, but is beyond the scope of this ticket. 
